org.codehaus.groovy.util

## Interface AbstractConcurrentMapBase.Entry<V>

- All Known Subinterfaces:
    AbstractConcurrentMap.Entry<K,V>
  All Known Implementing Classes:
    ClassInfo, ManagedConcurrentMap.Entry, ManagedConcurrentMap.EntryWithValue
  Enclosing class:
    AbstractConcurrentMapBase

      public static interface AbstractConcurrentMapBase.Entry<V>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHash()`
    `V` | `getValue()`
    `boolean` | `isValid()`
    `void` | `setValue(V value)`

- - ### Method Detail

    - #### getValue

          V getValue()

    - #### setValue

          void setValue(V value)

    - #### getHash

          int getHash()

    - #### isValid

          boolean isValid()